package com.example.survey.dao;

import com.example.survey.entity.Audit;

import java.util.Date;
import java.util.List;

/**
 * @author Pope
 * 审计
 */
public interface AuditDao {

    /**
     * 存储审计记录
     *
     * @param audit 审计记录
     */
    void saveAudit(Audit audit);

    List<Audit> listAuditLimit(long beginTime, long endTime, String uri, int offset, int pageSize);
}
