package com.example.survey.dao;

import com.example.survey.entity.Department;

/**
 * @author Pope
 */
public interface DepartmentDao {

    /**
     * 插入一个新部门
     * @param department 部门
     * @return 是否插入成功
     */
    boolean insertDepartment(Department department);

    /**
     * 根据部门名查询部门
     * @param id 部门id
     * @return 查询结果
     */
    Department selectDepartment(String id);

}
