package com.example.survey.entity.inner;

import com.example.survey.entity.Project;
import com.example.survey.entity.User;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.DBRef;

/**
 * @author Pope
 */
@Data
public class ProjectPart {
    /**
     * 项目
     */
    @Indexed
    @DBRef
    Project project;

    /**
     * 用户
     */
    @Indexed
    @DBRef
    User user;

    /**
     * 状态
     */
    String state;
}
