package com.example.survey.enumeration;

/**
 * @author Pope
 */
public enum ProjectStateEnum {
    /**
     * 进行中状态
     */
    IN_PROGRESS("进行中"),
    /**
     * 已完成状态
     */
    FINISHED("已完成"),
    /**
     * 已作废状态
     */
    INVALID("已作废"),
    ;


    private final String value;

    ProjectStateEnum(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

}
