package com.example.survey.service;

import com.example.survey.vo.AuditVO;

import java.util.Date;
import java.util.List;

/**
 * @author Pope
 */
public interface AuditService {

    /**
     * 根据筛选条件分页查询审计记录
     *
     * @param beginTime 开始时间
     * @param endTime 结束时间
     * @param uri 接口路由
     * @param currentPage 当前页数
     * @param pageSize 页大小
     * @return
     */
    List<AuditVO> listAuditLimit(long beginTime, long endTime,String uri, int currentPage, int pageSize);
}
