package com.example.survey.vo;

import com.example.survey.entity.Department;
import com.example.survey.entity.inner.AdministrativeArea;
import lombok.*;

import java.util.List;
import java.util.Set;

/**
 * @author Pope
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class LoginVO {
    private String token;
    private String username;
    private String idNumber;
    private String phone;
    private Set<RoleVO> roleSet;
    private List<Department> departmentList;
    private AdministrativeArea administrativeArea;
}
