package com.example.survey.vo;

import com.example.survey.entity.inner.AdministrativeArea;
import com.example.survey.vo.inner.UserInfo;
import lombok.Data;

/**
 * @author Pope
 */
@Data
public class RespondentVO {

    /**
     * 身份证号
     */
    private String idNumber;

    /**
     * 电话
     */
    private String phone;

    /**
     * 姓名
     */
    private String name;

    /**
     * 备注
     */
    private String msg;

    /**
     * 性别
     */
    private String gender;

    /**
     * 行政区划
     */
    private AdministrativeArea administrativeArea;

    /**
     * 相关项目信息
     */
    private String projectName;

    /**
     * 用户信息
     */
    private UserInfo userInfo;

    /**
     * 调查对象状态
     */
    private String state;
}
