package com.example.survey.vo;

import com.example.survey.enumeration.ResultEnum;
import lombok.*;

/**
 * @author Pope
 * 返回结果类
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class ResultVO {

    /**
     * 状态码
     */
    private int code;

    /**
     * 信息
     */
    private String msg;

    /**
     * 数据
     */
    private Object data;

    public ResultVO(ResultEnum resultEnum) {
        this.setCode(resultEnum.getCode());
        this.setMsg(resultEnum.getMsg());
    }
}
