package com.example.survey.vo;

import com.example.survey.entity.Department;
import com.example.survey.entity.inner.AdministrativeArea;
import lombok.*;

import java.util.Set;

/**
 * @author Pope
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class UserVO {
    private String idNumber;
    private String username;
    private String phone;
    private Set<RoleVO> roleSet;
    private Set<Department> departmentSet;
    private AdministrativeArea administrativeArea;
}
