package com.example.survey.vo.inner;

import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @author Pope
 */
@Data
public class OperationInfo {
    /**
     * 操作
     */
    private String type;

    /**
     * 时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date time;

    /**
     * 操作者
     */
    private String personId;

    private String personName;

    /**
     * 备注
     */
    private String msg;

    /**
     * 操作结果
     */
    private String result;

}
