package com.example.survey.dto.user;

import com.example.survey.entity.inner.AdministrativeArea;
import lombok.*;

/**
 * @author Pope
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class CreateUserDTO {
    /**
     * 身份证号
     */
    private String idNumber;
    /**
     * 用户名
     */
    private String username;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 密码
     */
    private String password;
    /**
     * 行政区划
     */
    private AdministrativeArea administrativeArea;
}
