package com.example.survey.entity;

import lombok.Data;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;

/**
 * @author Pope
 */
@Data
@Document(collection = "audit")
public class Audit {
    /**
     * 发起请求用户名，若为非法用户则为“非法用户”
     */
    private String userPhone;
    /**
     * 发起请求的ip
     */
    private String ip;
    /**
     * 请求时间 yyyy-MM-dd : HH:mm:ss
     */
    private long timestamp;
    /**
     * 请求路由
     */
    private String uri;
}
