package com.example.survey.enumeration;

/**
 * @author Pope
 */
public enum OpTypeEnum {
    /**
     * 提交操作
     */
    SUBMIT("提交"),
    /**
     * 修改操作
     */
    MODIFY("修改"),
    /**
     * 删除操作
     */
    DELETE("删除"),
    /**
     * 恢复操作
     */
    RECOVERY("恢复"),
    /**
     * 审核操作
     */
    REVIEW("审核"),
    /**
     * 覆盖
     */
    COVER("覆盖"),
    META("修改模板"),
    ;

    private final String value;

    OpTypeEnum(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }
}
