package com.example.survey.exception;

import com.example.survey.enumeration.ResultEnum;
import lombok.Getter;

/**
 * @author Pope
 */
@Getter
public class ProjectException extends RuntimeException{
    private final ResultEnum resultEnum;

    public ProjectException(ResultEnum resultEnum) {
        super(resultEnum.getMsg());
        this.resultEnum = resultEnum;
    }
}
